%define ocaml_version 3.09.3

Name:           lablgl
Version:        1.02
Release:	9%{?dist}

Summary:        LablGL is an OpenGL interface for Objective Caml

Group:          System Environment/Libraries
License:        BSD
URL:            http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgl.html
Source:         http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgl-1.02.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  freeglut-devel 
BuildRequires:	ocaml = %ocaml_version
BuildRequires:  labltk = %ocaml_version
BuildRequires:  camlp4 = %ocaml_version
BuildRequires:	tcl-devel
BuildRequires:  tk-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
Requires:       ocaml = %ocaml_version
Requires:	labltk = %ocaml_version

%description
LablGL is is an Objective Caml interface to OpenGL. Support is
included for use inside LablTk, and LablGTK also includes specific
support for LablGL.  It can be used either with proprietary OpenGL
implementations (SGI, Digital Unix, Solaris...), with XFree86 GLX
extension, or with open-source Mesa.


%prep
%setup -q


%build
cat > Makefile.config <<EOF
CAMLC = ocamlc.opt
CAMLOPT = ocamlopt.opt
BINDIR = %{_bindir}
XINCLUDES = -I%{_prefix}/X11R6/include
XLIBS = -L%{_prefix}/X11R6/%{_lib} -lXext -lXmu -lX11
TKINCLUDES = -I%{_includedir}
GLINCLUDES =
GLLIBS = -lGL -lGLU
GLUTLIBS = -lglut -lXxf86vm
RANLIB = :
LIBDIR = %{_libdir}/ocaml
DLLDIR = %{_libdir}/ocaml/stublibs
INSTALLDIR = %{_libdir}/ocaml/lablGL
TOGLDIR=Togl
COPTS = $RPM_OPT_FLAGS
EOF
make all opt


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml/lablGL
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs
make INSTALLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/lablGL \
        DLLDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs \
        BINDIR=$RPM_BUILD_ROOT%{_bindir} \
        install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT README Togl/examples LablGlut/examples
%{_bindir}/*
%{_libdir}/ocaml/lablGL
%{_libdir}/ocaml/stublibs/*.so


%changelog
* Sat Dec  2 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-9
- Rebuild for ocaml 3.09.3

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-8
- Rebuild for FE6

* Wed May 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-7
- rebuilt for ocaml 3.09.2

* Sun Feb 26 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-4
- Rebuild for ocaml 3.09.1

* Sat Feb 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 1.02-3
- Rebuild for Fedora Extras 5

* Tue Nov  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.02-2
- build opt libraries

* Tue Nov  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.02-1
- New Version 1.02

* Sun Sep 11 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.01-7
- Rebuild with new ocaml

* Thu May 26 2005 Toshio Kuratomi <toshio-tiki-lounge.com> - 1.01-6
- Bump and rebuild with new ocaml.
  
* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.01-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Apr  1 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.01-3
- Rebuild for ocaml 3.08.3

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:1.01-2
- Removed %{_smp_mflags} as it breaks the build

* Thu Aug 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.01-0.fdr.1
- New Version 1.01

* Mon Dec  1 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.00-0.fdr.4
- Patch to used GL/freeglut.h instead of GL/glut.h
- Add BuildRequires for labltk

* Fri Nov 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.00-0.fdr.3
- Add BuildRequires for camlp4
